


<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Index &mdash; Documentation</title>
  

  
  
    <link rel="shortcut icon" href="_static/favicon.ico"/>
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
        <script src="_static/js/bootstrap.min.js"></script>
        <script src="_static/js/bootstrap.bundle.min.js"></script>
        <script src="_static/js/custom.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap-grid.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> Shyft
          

          
          </a>

          
            
            
              <div class="version">
                4.12
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Project</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/project/what_is_shyft.html">What is Shyft?</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/get_involved.html">Get involved</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/contact.html">Contact</a></li>
</ul>
<p class="caption"><span class="caption-text">Time Series</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Hydrology</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Energy Market</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Dashboard</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/api.html">API Documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Shyft</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Index</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            

<h1 id="index">Index &ndash; S</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TargetSpecificationPts.s_a">s_a() (shyft.hydrology.TargetSpecificationPts property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TargetSpecificationPts.s_b">s_b() (shyft.hydrology.TargetSpecificationPts property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TargetSpecificationPts.s_r">s_r() (shyft.hydrology.TargetSpecificationPts property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GammaSnowResponse.sca">sca() (shyft.hydrology.GammaSnowResponse property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.scale_by">scale_by() (shyft.time_series.TimeSeries method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.IDWPrecipitationParameter.scale_factor">scale_factor() (shyft.hydrology.IDWPrecipitationParameter property)</a>

      <ul>
        <li><a href="content/hydrology/api.html#shyft.hydrology.TargetSpecificationPts.scale_factor">(shyft.hydrology.TargetSpecificationPts property)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationOption.sceua">sceua() (shyft.hydrology.CalibrationOption static method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GammaSnowState.sdc_melt_mean">sdc_melt_mean() (shyft.hydrology.GammaSnowState property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.time.seconds">seconds() (shyft.time_series.time property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.ARegionEnvironment.serialize">serialize() (shyft.hydrology.ARegionEnvironment method)</a>

      <ul>
        <li><a href="content/hydrology/api.html#shyft.hydrology.GeoCellDataVector.serialize">(shyft.hydrology.GeoCellDataVector method)</a>
</li>
        <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.serialize">(shyft.time_series.TimeSeries method)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.server_version">server_version() (shyft.hydrology.DrmClient property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.set">set() (shyft.time_series.TimeSeries method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.set_auto_cache">set_auto_cache() (shyft.time_series.DtsServer method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.set_can_remove">set_can_remove() (shyft.time_series.DtsServer method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.set_catchment_calculation_filter">set_catchment_calculation_filter() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoCellData.set_catchment_id">set_catchment_id() (shyft.hydrology.GeoCellData method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.set_catchment_parameter">set_catchment_parameter() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.set_container">set_container() (shyft.time_series.DtsServer method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.set_current_state_as_initial_state">set_current_state_as_initial_state() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.RiverNetwork.set_downstream_by_id">set_downstream_by_id() (shyft.hydrology.RiverNetwork method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.LandTypeFractions.set_fractions">set_fractions() (shyft.hydrology.LandTypeFractions method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTsMatrix.set_geo_point">set_geo_point() (shyft.time_series.GeoTsMatrix method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.set_geo_ts_db">set_geo_ts_db() (shyft.time_series.DtsServer method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoCellData.set_land_type_fractions">set_land_type_fractions() (shyft.hydrology.GeoCellData method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmServer.set_listening_ip">set_listening_ip() (shyft.hydrology.DrmServer method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmServer.set_listening_port">set_listening_port() (shyft.hydrology.DrmServer method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.set_listening_port">(shyft.time_series.DtsServer method)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.set_master_slave_mode">set_master_slave_mode() (shyft.time_series.DtsServer method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmServer.set_max_connections">set_max_connections() (shyft.hydrology.DrmServer method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.set_max_connections">(shyft.time_series.DtsServer method)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.set_point_interpretation">set_point_interpretation() (shyft.time_series.TimeSeries method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.set_region_parameter">set_region_parameter() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.set_snow_sca_swe_collection">set_snow_sca_swe_collection() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.set_state">set_state() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.set_state_collection">set_state_collection() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoCellData.set_tin_data">set_tin_data() (shyft.hydrology.GeoCellData method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTsMatrix.set_ts">set_ts() (shyft.time_series.GeoTsMatrix method)</a>
</li>
      <li>
    shyft.dashboard

      <ul>
        <li><a href="content/dashboard/api.html#module-shyft.dashboard">module</a>
</li>
      </ul></li>
      <li>
    shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions

      <ul>
        <li><a href="content/dashboard/api.html#module-shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    shyft.dashboard.apps.dtss_viewer.dtss_viewer_app

      <ul>
        <li><a href="content/dashboard/api.html#module-shyft.dashboard.apps.dtss_viewer.dtss_viewer_app">module</a>
</li>
      </ul></li>
      <li>
    shyft.dashboard.apps.dtss_viewer.widgets

      <ul>
        <li><a href="content/dashboard/api.html#module-shyft.dashboard.apps.dtss_viewer.widgets">module</a>
</li>
      </ul></li>
      <li>
    shyft.energy_market.core

      <ul>
        <li><a href="content/energy_market/api.html#module-shyft.energy_market.core">module</a>
</li>
      </ul></li>
      <li>
    shyft.energy_market.ltm

      <ul>
        <li><a href="content/energy_market/api.html#module-shyft.energy_market.ltm">module</a>
</li>
      </ul></li>
      <li>
    shyft.energy_market.service

      <ul>
        <li><a href="content/energy_market/api.html#module-shyft.energy_market.service">module</a>
</li>
      </ul></li>
      <li>
    shyft.energy_market.stm

      <ul>
        <li><a href="content/energy_market/api.html#module-shyft.energy_market.stm">module</a>
</li>
      </ul></li>
      <li>
    shyft.hydrology

      <ul>
        <li><a href="content/hydrology/api.html#module-shyft.hydrology">module</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.BTKParameter.sill">sill() (shyft.hydrology.BTKParameter method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanState.size">size() (shyft.hydrology.KalmanState method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.RatingCurveFunction.size">(shyft.time_series.RatingCurveFunction method)</a>
</li>
        <li><a href="content/time_series/api.html#shyft.time_series.TimeAxis.size">(shyft.time_series.TimeAxis method)</a>
</li>
        <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.size">(shyft.time_series.TimeSeries method)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.SkaugenCalculator">SkaugenCalculator (class in shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeAxis.slice">slice() (shyft.time_series.TimeAxis method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.slice">(shyft.time_series.TimeSeries method)</a>
</li>
        <li><a href="content/time_series/api.html#shyft.time_series.TsVector.slice">(shyft.time_series.TsVector method)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoCellData.slope">slope() (shyft.hydrology.GeoCellData method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.LandTypeFractions.snow_storage">snow_storage() (shyft.hydrology.LandTypeFractions method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.SnowTilesCalculator">SnowTilesCalculator (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationOption.solver_epsilon">solver_epsilon() (shyft.hydrology.CalibrationOption property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.time.sqrt">sqrt() (shyft.time_series.time method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.UtcPeriod.start">start() (shyft.time_series.UtcPeriod property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.start_async">start_async() (shyft.time_series.DtsServer method)</a>
</li>
      <li><a href="content/dashboard/api.html#shyft.dashboard.apps.start_bokeh_apps.start_bokeh_apps">start_bokeh_apps() (in module shyft.dashboard.apps.start_bokeh_apps)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.start_calibration">start_calibration() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmServer.start_server">start_server() (shyft.hydrology.DrmServer method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.start_web_api">start_web_api() (shyft.time_series.DtsServer method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.stat_scope">stat_scope (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanBiasPredictor.state">state() (shyft.hydrology.KalmanBiasPredictor property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.statistics">statistics() (shyft.time_series.TimeSeries method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.TsVector.statistics">(shyft.time_series.TsVector method)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanParameter.std_error_bias_measurements">std_error_bias_measurements() (shyft.hydrology.KalmanParameter property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.HbvPhysicalSnowCalculator.step">step() (shyft.hydrology.HbvPhysicalSnowCalculator method)</a>

      <ul>
        <li><a href="content/hydrology/api.html#shyft.hydrology.HbvSnowCalculator.step">(shyft.hydrology.HbvSnowCalculator method)</a>
</li>
        <li><a href="content/hydrology/api.html#shyft.hydrology.HbvSoilCalculator.step">(shyft.hydrology.HbvSoilCalculator method)</a>
</li>
        <li><a href="content/hydrology/api.html#shyft.hydrology.HbvTankCalculator.step">(shyft.hydrology.HbvTankCalculator method)</a>
</li>
        <li><a href="content/hydrology/api.html#shyft.hydrology.KirchnerCalculator.step">(shyft.hydrology.KirchnerCalculator method)</a>
</li>
        <li><a href="content/hydrology/api.html#shyft.hydrology.SkaugenCalculator.step">(shyft.hydrology.SkaugenCalculator method)</a>
</li>
        <li><a href="content/hydrology/api.html#shyft.hydrology.SnowTilesCalculator.step">(shyft.hydrology.SnowTilesCalculator method)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmServer.stop_server">stop_server() (shyft.hydrology.DrmServer method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.stop_web_api">stop_web_api() (shyft.time_series.DtsServer method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GammaSnowResponse.storage">storage() (shyft.hydrology.GammaSnowResponse property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsClient.store_ts">store_ts() (shyft.time_series.DtsClient method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.store_ts_cb">store_ts_cb() (shyft.time_series.DtsServer property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.stringify">stringify() (shyft.time_series.TimeSeries method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TsVector.sum">sum() (shyft.time_series.TsVector method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoCellData.surface_area">surface_area() (shyft.hydrology.GeoCellData method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GammaSnowState.surface_heat">surface_heat() (shyft.hydrology.GammaSnowState property)</a>
</li>
  </ul></td>
</tr></table>


           </div>
           
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2021, The Shyft project

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>